# Broadcasting API

Broadcasting messages are sent under two circumstances:

- the state of the viewer changed, initiated by any source (user, plugin etc). Sent to all active plugin clients.

- immediately after the plugin client acknowledged `handshake.init` to the specific client. This is so that the client can get the current state of the viewer.

Broadcasting messages never expects a response (and thus will never contain and `id` attribute)

<!-- the API reference below are auto generated by generateTypes.js  -->
<!-- do not edit, as the edit will be overwritten by the auto generation -->

## API

### `sxplr.on.atlasSelected`

- payload

  ```ts
  SapiAtlasModel
  ```



### `sxplr.on.templateSelected`

- payload

  ```ts
  SapiSpaceModel
  ```



### `sxplr.on.parcellationSelected`

- payload

  ```ts
  SapiParcellationModel
  ```



### `sxplr.on.allRegions`

- payload

  ```ts
  SapiRegionModel[]
  ```



### `sxplr.on.regionsSelected`

- payload

  ```ts
  SapiRegionModel[]
  ```


